You're viewing **Apigee Edge** documentation.  
[Go to the
**Apigee X** documentation](http://cloud.google.com/apigee/docs/api-platform/publish/portal/publish-apis). info

A developer category is a grouping of developers or companies with similar characteristics that allows
you to configure monetization to operate on that specific category. For example, you
can create rate plans that apply to all developers who develop apps for revenue sharing by
creating a developer category called "revenue_sharing" and adding developers to it. For more
information on creating rate plans with developer categories, see [Create rate plans](https://docs.apigee.com/api-platform/monetization/create-rate-plans).

## Exploring the Developer Categories page

Access the Developer Categories page using the Edge UI or Classic Edge UI, as described in the following sections.

### Edge UI

To access the Develop Categories page:

1. Log in to [apigee.com/edge](https://apigee.com/edge).
2. Select **Publish \> Monetization \> Developer Categories** in the left navigation bar.

The Developer Categories page is displayed.

![](https://docs.apigee.com/static/api-platform/images/developer-category.png)

As highlighted in the figure, the Developer Categories page enables you to:

- View the current developer categories
- [Add](https://docs.apigee.com/api-platform/monetization/manage-developer-categories#add-ui), [edit](https://docs.apigee.com/api-platform/monetization/manage-developer-categories#edit-ui), or [delete](https://docs.apigee.com/api-platform/monetization/manage-developer-categories#delete-ui) a developer category

### Classic Edge (Private Cloud)

> [!NOTE]
> **Note:** The Classic Edge UI is available with Edge for Private Cloud only.

To access the Develop Categories page using the Classic Edge UI:

1. Sign in to `http://ms-ip:9000`, where <var translate="no">ms-ip</var> is the IP address or DNS name of the Management Server node.
2. Select **Publish \> Developer Categories** in the top navigation bar.

The Developer Categories page is displayed.

The Developer Categories page enables you to:

- View the current developer categories
- [Add](https://docs.apigee.com/api-platform/monetization/manage-developer-categories#add-ui), [edit](https://docs.apigee.com/api-platform/monetization/manage-developer-categories#edit-ui), or [delete](https://docs.apigee.com/api-platform/monetization/manage-developer-categories#delete-ui) a developer category

> [!NOTE]
> **Note:** The steps in the topics that follow are specific to the Edge UI. The Classic Edge UI steps are similar to those described.

## Adding a developer category

To add a developer category using the UI:

1. Access the [Develop Categories page](https://docs.apigee.com/api-platform/monetization/manage-developer-categories#explore-ui).
2. Click **+ Developer Category**.
3. Enter a name for the new category and a short description.
4. Click **Create Developer Category**.

## Adding a company to a developer category

Add a company to a developer category. A company can belong to only one developer category.

> [!NOTE]
> At this time, you can manage companies using the Classic Edge UI or API only.

To add a company to a developer category:

1. Select **Publish \> Companies** in the top navigation bar.
2. Select the company you want to add to the developer category.
3. Click **Edit** on the company page.
4. Select the **Developer Category** for the company.
5. Click **Save** .  
   ![](https://docs.apigee.com/static/api-platform/images/developer-category-company.png)

## Editing a developer category

To edit a developer category using the UI:

1. Access the [Develop Categories page](https://docs.apigee.com/api-platform/monetization/manage-developer-categories#explore-ui).
2. Position the cursor over the developer category that you want to edit and click ![](https://docs.apigee.com/static/api-platform/images/edit-icon.png).
3. Enter the developer category.
4. Click **Update Developer Category**.

## Deleting a developer category

To delete a developer category using the UI:

1. Access the [Develop Categories page](https://docs.apigee.com/api-platform/monetization/manage-developer-categories#explore-ui).
2. Position the cursor over the developer category that you want to edit.
3. Click ![](https://docs.apigee.com/static/api-platform/images/delete-icon.png).
4. Click **Delete** to confirm the operation.

## Managing developer categories using the API

Manage developer categories using the API, as described in the following sections.

### Adding a developer category using the API

Add a developer category by issuing a POST request to
`/mint/organizations/{org_name}/developer-categories`.

When you issue the request, you must specify both the category `name` and
`description` in the payload. For example:

```
curl -X POST "https://api.enterprise.apigee.com/v1/mint/organizations/{org_name}/developer-categories" \
  -H "Content-Type:application/json"  \
  -d '{
    "name": "Gold",
    "description": "Gold membership"
  }' \
  -u email:password
```

The response should look something like this:

```
{
  "description" : "Gold membership",
  "id" : "aa6f960a-d9fd-416e-be39-c071418aabd0",
  "name" : "Gold"
}
```

### Adding a developer or company to a developer category using the API

Add a developer or company to a developer category when you add or edit the company or
developer by issuing a
**POST** request to the following resources, respectively:

- /organizations/{org_name}/companies
- /organizations/{org_name}/developers

To add a developer or company to a developer category when you edit the company or developer, issue a
**PUT** request to the following resources, respectively:

- /organizations/{org_name}/companies/{company_id}
- /organizations/{org_name}/developers/{developer_id}

> [!WARNING]
> **Warning:** When updating a developer with PUT, be sure to include all existing attribute settings in the call to retain existing settings.

A company or developer can belong to only one developer category.

Specify the `MINT_DEVELOPER_CATEGORY` as an attribute in the request body with the
category internal ID as the value. For example, the following request adds an already existing
developer to the developer category named "Gold" category, which has an ID of
`aa6f960a-d9fd-416e-be39-c071418aabd0`.

```
curl -X PUT "https://api.enterprise.apigee.com/v1/mint/organizations/{org_name}/developers/K4jW2QLjZ1h8GFA8" \
  -H "Content-Type: application/json" \
  -d '{
   "email" : "developer@apigee.com",
    "developerId" : "K4jW2QLjZ1h8GFA8",
    "firstName" : "Dev",
    "lastName" : "One",
    "userName" : "devone",
    "attributes" : [ {
      "name" : "MINT_REGISTRATION_ID",
      "value" : "dev1"
    }, {
      "name" : "MINT_DEVELOPER_LEGAL_NAME",
      "value" : "DEV ONE"
    }, {
      "name" : "MINT_DEVELOPER_TYPE",
      "value" : "TRUSTED"
    }, {
      "name" : "MINT_BILLING_TYPE",
      "value" : "PREPAID"
    }, {
      "name" : "MINT_IS_BROKER",
      "value" : "TRUE"
    }, {
      "name" : "MINT_DEVELOPER_CATEGORY",
      "value" : "aa6f960a-d9fd-416e-be39-c071418aabd0"
    }, {
      "name" : "MINT_DEVELOPER_ADDRESS",
      "value" : "{
                   "address1": "Dev One Address",
                   "city": "Pleasanton",
                   "country": "US",
                   "isPrimary": "true",
                   "state": "CA",
                   "zip": "94588"
                }"
    }
  }' \
  -u email:password
```

### Viewing developer categories using the API

View a specific developer category or all developer categories in an organization.

View a specific developer category by issuing a GET request to
`/mint/organizations/{org_name}/developer-categories/{category_id}`, where
`{category_id}` is the identification of the developer category (the ID is returned in
the response when you add the developer category). For example:

```
curl -X GET "https://api.enterprise.apigee.com/v1/mint/organizations/{org_name}/developer-categories/aa6f960a-d9fd-416e-be39-c071418aabd0" \
  -H "Accept:application/json" \
  -u email:password
```

View all API developer categories for an organization by issuing a GET request to
`/mint/organizations/{org_id}/developer-categories`. For example:

```
curl -X GET "https://api.enterprise.apigee.com/v1/mint/organizations/{org_name}/developer-categories" \
  -H "Accept:application/json" \
  -u email:password
```

### Editing a developer category using the API

Edit a developer category by issuing a PUT request to
`/mint/organizations/{org_name}/developer-categories/{category_id}`, where
`{category_id}` is the identification of the category to be updated. You need to specify in the request body the updated settings and the ID of the developer
category. For example, the following request edits the description of a developer category:

```
curl -X PUT "https://api.enterprise.apigee.com/v1/mint/organizations/{org_name}/developer-categories/aa6f960a-d9fd-416e-be39-c071418aabd0" \
  -H "Content-Type: application/json"  \
  -d '{
    "id": "aa6f960a-d9fd-416e-be39-c071418aabd0",
    "description": "Premium membership"
  }' \
  -u email:password
```

### Deleting a developer category using the API

Delete a developer category by issuing a DELETE request to
`/mint/organizations/{org_name}/developer-categories/{category_id}`, where
`{category_id}` is the identification of the developer category to be deleted. For
example:

```
curl -X DELETE "https://api.enterprise.apigee.com /v1/mint/organizations/{org_name}/developer-categories/aa6f960a-d9fd-416e-be39-c071418aabd0" \
  -H "Accept:application/json" \
  -u email:password
```

### Developer category configuration properties for the API

The following table summarizes the configuration properties that can be set using the API.

| Name | Description | Default | Required? |
|---|---|---|---|
| `name` | Property name. Set to MINT_DEVELOPER_CATEGORY. | N/A | Yes |
| `value` | ID of the developer category to which the developer is added. | N/A | Yes, in order to set the developer category. |